module Top  
(
        input       rstn,
        output      Test_LED,
        output      [3:0]Test_pin,
// I2C  IO
        input       GW_BACKGROUND_SCL_INR    ,
        inout       GW_BACKGROUND_SDA_INR    ,
//Flash IO 
		output		GW_BACKGROUND_INT_CLK,
		output		GW_BACKGROUND_INT_DO,
		output		GW_BACKGROUND_INT_MODEL,
		output		GW_BACKGROUND_INT_SEL,
		input		GW_BACKGROUND_INT_DI,
		input		GW_BACKGROUND_INT_DI_EN,
//
		input      GW_BACKGROUND_EXT_SEL,
        output      GW_BACKGROUND_RECONFIG_N ,
        output      GW_OSC_CLK  
);
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//  Sample code (led_test)
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//TEST 
localparam  CNT_NUM     = 25_000_000;// 
wire clk;

reg led =0;

reg [31:0] led_cnt;


always @(posedge clk or negedge rstn)
    if (~rstn)
        led_cnt <=0;
    else if (led_cnt == CNT_NUM-1)
        led_cnt <=0;
    else
        led_cnt <=led_cnt +1;

always @(posedge clk or negedge rstn)
    if (~rstn)
        led <=0;
    else if (led_cnt == CNT_NUM-1)
        led <=~led;

assign  clk = GW_OSC_CLK; //25M
assign  Test_LED = led;
assign 	Test_pin ={led,~led,led,~led};
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//  Goconfig I2C IP (goConfig_I2C_Top)
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
goConfig_I2C_Top  u_GW_BACKGROUND_I2C(
// I2C IO   : 
		 .GW_BACKGROUND_SCL_INR   (GW_BACKGROUND_SCL_INR)   ,
         .GW_BACKGROUND_SDA_INR   (GW_BACKGROUND_SDA_INR)   ,
// Flash IO : 
         .GW_BACKGROUND_CLK       (GW_BACKGROUND_INT_CLK)       ,
         .GW_BACKGROUND_DATA_OUT  (GW_BACKGROUND_INT_DO)  ,
         .GW_BACKGROUND_MODEL     (GW_BACKGROUND_INT_MODEL)     ,
         .GW_BACKGROUND_DATA_IN   (GW_BACKGROUND_INT_DI)   ,
         .GW_BACKGROUND_SEL_EXR   (GW_BACKGROUND_INT_SEL)   ,
         .GW_BACKGROUND_DATA_IN_EN(GW_BACKGROUND_INT_DI_EN),
// Function pin
         .GW_BACKGROUND_RECONFIG_N(GW_BACKGROUND_RECONFIG_N),
         .GW_BACKGROUND_SEL_INR   (GW_BACKGROUND_EXT_SEL),
// General pin
         .GW_OSC_CLK              (GW_OSC_CLK) 
	);


endmodule